aboutsummaryrefslogtreecommitdiff
path: root/fuzzel/powermenu.sh
diff options
context:
space:
mode:
authoreric.marin <maarin.eric@gmail.com>2024-12-18 21:06:41 +0100
committereric.marin <maarin.eric@gmail.com>2024-12-18 21:06:41 +0100
commit000a7c2a4c4bda36f655f6489b5bac3211515a5d (patch)
tree8a5fe85f0632fcca678f0204a4288e6b3423f772 /fuzzel/powermenu.sh
parentb0cfdab1e93f660fda8f9398e30c9c996a1760f3 (diff)
downloaddotfiles-000a7c2a4c4bda36f655f6489b5bac3211515a5d.tar.gz
dotfiles-000a7c2a4c4bda36f655f6489b5bac3211515a5d.zip
niri and fuzzel
Diffstat (limited to 'fuzzel/powermenu.sh')
-rwxr-xr-xfuzzel/powermenu.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/fuzzel/powermenu.sh b/fuzzel/powermenu.sh
new file mode 100755
index 0000000..22b17c3
--- /dev/null
+++ b/fuzzel/powermenu.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+poweroff=" Poweroff"
+reboot=" Reboot"
+lock=" Lock"
+exit="󰗼 Exit"
+
+chosen=$(echo -e "$poweroff\n$reboot\n$lock\n$exit" | fuzzel --dmenu --lines 4 --width 15)
+
+case "$chosen" in
+ "$poweroff") shutdown now ;;
+ "$reboot") reboot ;;
+ "$lock") loginctl lock-session ;;
+ # "$exit") hyprctl dispatch exit ;;
+ "$exit") niri msg action quit ;;
+ *) exit 1 ;;
+esac
+